enum nina_cmd {
	/* 0x10 -> 0x1f */
	NINA_CMD_SET_NET = 0x10,
	NINA_CMD_SET_PASSPHRASE,
	NINA_CMD_SET_KEY,
	NINA_CMD_SET_IP_CONFIG = 0x14,
	NINA_CMD_SET_DNS_CONFIG,
	NINA_CMD_SET_HOSTNAME,
	NINA_CMD_SET_POWER_MODE,
	NINA_CMD_SET_AP_NET,
	NINA_CMD_SET_AP_PASSPHRASE,
	NINA_CMD_SET_DEBUG,
	NINA_CMD_GET_TEMPERATURE,

	/* 0x20 -> 0x2F */
	NINA_CMD_GET_CONN_STATUS = 0x20,
	NINA_CMD_GET_IP_ADDR,
	NINA_CMD_GET_MAC_ADDR,
	NINA_CMD_GET_CURR_SSID,
	NINA_CMD_GET_CURR_BSSID,
	NINA_CMD_GET_CURR_RSSI,
	NINA_CMD_GET_CURR_ENCT,
	NINA_CMD_SCAN_NETWORKS,
	NINA_CMD_START_SERVER_TCP,
	NINA_CMD_GET_STATE_TCP,
	NINA_CMD_DATA_SENT_TCP,
	NINA_CMD_AVAIL_DATA_TCP,
	NINA_CMD_GET_DATA_TCP,
	NINA_CMD_START_CLIENT_TCP,
	NINA_CMD_STOP_CLIENT_TCP,
	NINA_CMD_GET_CLIENT_STATE_TCP,

	/* 0x30 -> 0x3F */
	NINA_CMD_DISCONNECT = 0x30,
	NINA_CMD_GET_IDX_RSSI = 0x32,
	NINA_CMD_GET_IDX_ENCT,
	NINA_CMD_REQ_HOST_BY_NAME,
	NINA_CMD_GET_HOST_BY_NAME,
	NINA_CMD_START_SCAN_NETWORKS,
	NINA_CMD_GET_FW_VERSION,
	NINA_CMD_SEND_UDP_DATA = 0x39,
	NINA_CMD_GET_REMOTE_DATA,
	NINA_CMD_GET_TIME,
	NINA_CMD_GET_IDX_BSSID,
	NINA_CMD_GET_IDX_CHANNEL,
	NINA_CMD_PING,
	NINA_CMD_GET_SOCKET,

	/* 0x40 -> 0x4F */
	NINA_CMD_SET_CLIENT_CERT = 0x40,
	NINA_CMD_SET_CERT_KEY,
	NINA_CMD_SEND_DATA_TCP = 0x44,
	NINA_CMD_GET_DATA_BUF_TCP,
	NINA_CMD_INSERT_DATA_BUF,
	NINA_CMD_WPA2_ENT_SET_IDENTITY = 0x4a,
	NINA_CMD_WPA2_ENT_SET_USERNAME,
	NINA_CMD_WPA2_ENT_SET_PASSWORD,
	NINA_CMD_WPA2_ENT_SET_CA_CERT,
	NINA_CMD_WPA2_ENT_SET_CERT_KEY,
	NINA_CMD_WPA2_ENT_ENABLE,

	/* 0x50 -> 0x5F */
	NINA_CMD_SET_PIN_MODE = 0x50,
	NINA_CMD_SET_DIGITAL_WRITE,
	NINA_CMD_SET_ANALOG_WRITE,
	NINA_CMD_SET_DIGITAL_READ,
	NINA_CMD_SET_ANALOG_READ,

	NINA_CMD_START = 0xE0,
	NINA_CMD_END = 0xEE,
	NINA_CMD_ERR = 0xEF,
};

enum nina_flags {
	NINA_FLAG_CMD = 0,
	NINA_FLAG_REPLY = 0x80,
	NINA_FLAG_DATA = 0x40,
};

enum nina_result_code {
	NINA_RESULT_ACK = 1,
	NINA_RESULT_ERR = 0xFF,
	NINA_RESULT_NO_SOCKETS = 0xFF,
};

enum nina_proto {
	NINA_PROTO_TCP = 0,
	NINA_PROTO_UDP = 1,
	NINA_PROTO_TLS = 2,
	NINA_PROTO_MULTICAST = 3,
};
